Subject: Re: git cherry improvements suggestions

From: Michael J Gruber <[email-masked]>
Date: Wed, 23 Mar 2011 14:33:48 +0100

Piotr Krukowiecki venit, vidit, dixit 23.03.2011 14:23:
> On Wed, Mar 23, 2011 at 11:46 AM, Michael J Gruber
> <[email-masked]> wrote:
...
>> You will be a happy user of "git log --cherry A...B" instead of "git
>> cherry A B". It gives you all the log option (e.g. p for diff) that you
>> like and uses "=" rather than "-". It's currently in next and will be in
>> the next release.
> 
> I've tried it and indeed I'm happy! :)
> The "git log --cherry-mark --left-right A...B" is what I needed!
> 
> Just some stats:
> 
>    git log --cherry-mark --left-right --oneline --date-order branch...trunk
> 
> lists 1004 commits, takes about 20s and memory peaks to about 670MB
> twice during the run (I'm on linux with AMD Phenom II X4 945)
> 
> With limit it prints X last commits (the limiting seems to take place after all
> work, on the output list only).
> 
> branch..trunk is 551 commits, the other way is 453 commits.
> 710 commits are found to be "=", 98 "<", 196 ">".
> 
> Note, I'm not saying it's too slow, or that it's working incorrectly, I'm just
> giving real-life stats if anyone was interested.
> I suspect such checks won't be done frequently.

You don't need to say it's slow - I've said so already :(

http://permalink.gmane.org/gmane.comp.version-control.git/169725

But I hope we can remove some bottle-necks.

> So thanks for the great improvement!

You're welcome :)

Michael